DiseaseMulcherHealerRegister = {}
DiseaseMulcherHealerRegister.modDir = g_currentModDirectory

g_specializationManager:addSpecialization(
    "diseaseMulcherHealer",
    "DiseaseMulcherHealer",
    Utils.getFilename("scripts/specializations/DiseaseMulcherHealer.lua", DiseaseMulcherHealerRegister.modDir),
    nil
)

local function inject()
    local typesTbl = g_vehicleTypeManager and g_vehicleTypeManager.types or {}

    for typeName, vType in pairs(typesTbl) do
        local specs = vType.specializations or {}
        if SpecializationUtil.hasSpecialization(Mulcher, specs) and not SpecializationUtil.hasSpecialization(DiseaseMulcherHealer, specs) then
            g_vehicleTypeManager:addSpecialization(typeName, "diseaseMulcherHealer")
        end
    end
end

inject()
